#### dynamic_string_buffer::prepare

DynamicBuffer_v1: Get a list of buffers that represents the output sequence, with the given size.

    mutable_buffers_type prepare(
        std::size_t n);

Ensures that the output sequence can accommodate `n` bytes, resizing the basic_string object as necessary.

###### Return Value

An object of type `mutable_buffers_type` that satisfies MutableBufferSequence requirements, representing basic_string memory at the start of the output sequence of size `n`.

###### Exceptions

std::length_error

  If `size() + n > max_size()`.

###### Remarks

The returned object is invalidated by any `dynamic_string_buffer` or `basic_string` member function that modifies the input sequence or output sequence.